CREATE TABLE Ehrung
(
   ID varchar(36) PRIMARY KEY NOT NULL
   , name varchar(100)
   , deleted boolean
   , modificationTime timestamp
);

CREATE TABLE EhrungErweiterung
(
   ID varchar(36) PRIMARY KEY NOT NULL
);
ALTER TABLE EhrungErweiterung
ADD CONSTRAINT EhrungErweiterung_Mitgliedserweiterung_0
FOREIGN KEY (ID)
REFERENCES MITGLIEDSERWEITERUNG(ID);

CREATE TABLE EhrungVerleihung
(
   ID varchar(36) PRIMARY KEY NOT NULL
   , deleted boolean
   , modificationTime timestamp
   , ehrung_id varchar(36)
   , erweiterung_id varchar(36)
   , datum timestamp
);
ALTER TABLE EhrungVerleihung
ADD CONSTRAINT EhrungVerleihung_Ehrung
FOREIGN KEY (Ehrung_id)
REFERENCES Ehrung(id);
ALTER TABLE EhrungVerleihung
ADD CONSTRAINT EhrungVerleihung_EhrungErweiterung
FOREIGN KEY (erweiterung_id)
REFERENCES EhrungErweiterung(id);

INSERT INTO Ehrung (id, name, deleted, modificationTime) values
(
	'10000001-0000-0000-0000-000000000000', '25 Jahre', false, null
);
